0

I'm literally about 6 hours into Ubuntu. I've gotten Steam onto the desktop. It seems I can't get it to fully install and update.

When I click the icon, the following comes up:

Steam needs to install these additional packages: 
    libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, libc6:i386

If I try to install I get

.........................................................................................
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libgl1-mesa-glx:i386 : Depends: libglapi-mesa:i386 (= 10.1.3-0ubuntu0.6)
 unity-control-center : Depends: libcheese-gtk23 (>= 3.4.0) but it is not going to be installed
                        Depends: libcheese7 (>= 3.0.1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages

I am running on a 64-bit version so I know that may be the problem. just a general overview of my PC. It's a 2009 hp pavilion, running off of sandybridge.

If I continue in the terminal:

You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1

If anyone has a step by step guide on how I can get around the 64-bit issue and installing the 32-bit files. please let me know. So far I'm actually enjoying fiddling around with Linux so this is just another thing to learn.

  • Have you tried manually installing the packages that need installing? – Soren Aug 29 '16 at 1:00
  • I Have tried manually to install the packages but i seem to get a similar erorr. i am on 14 not 16. its most def a problem with it bein 64 bit. – David Smith Aug 29 '16 at 6:43
  • sorry if this is a duplicate post . – David Smith Aug 29 '16 at 6:44
  • Different (but close) versions of Ubuntu usually act the same way. The problem isn't the 64-bit, I have steam on my machine, it's a problem with the dependencies. Come to think of it, why not just sudo apt install steam? – Soren Aug 29 '16 at 13:47
0

It looks like extra packages are installing.

Try sudo apt install libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libc6:i386 --no-recommends

I'm not on my Linux machine right now, so this may not work. It's off of memory.

Not the answer you're looking for? Browse other questions tagged or ask your own question.